Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.chart
Class ChartComponent.jpivotPieURLGenerator

    java.lang.Object
      org.jfree.chart.urls.StandardPieURLGenerator
          com.tonbeller.jpivot.chart.ChartComponent.jpivotPieURLGenerator

All Implemented Interfaces:
  java.io.Serializable, org.jfree.chart.urls.PieURLGenerator

Enclosing class:
  ChartComponent

    public class ChartComponent.jpivotPieURLGenerator

extends org.jfree.chart.urls.StandardPieURLGenerator

A URLGenerator class to generate pie urls that work with jpivot

Author:
  ati
See Also:
  Serialized Form

Method Summary
`java.lang.String` | `generateURL(org.jfree.data.general.PieDataset data, java.lang.Comparable key, int pieIndex)` Implementation of generateURL that integrates with jpivot/wcf framework.

Methods inherited from class org.jfree.chart.urls.StandardPieURLGenerator
`equals`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### generateURL

    public java.lang.String generateURL(org.jfree.data.general.PieDataset data,
                                        java.lang.Comparable key,
                                        int pieIndex)

  Implementation of generateURL that integrates with jpivot/wcf framework. A request handler is added for each cell/item. No test is done to see if a cell is drillable, since the url has to added (I think, like an all or nothing ?) Generates a URL for a particular item within a series.

  Specified by:
    `generateURL` in interface `org.jfree.chart.urls.PieURLGenerator`
  Overrides:
    `generateURL` in class `org.jfree.chart.urls.StandardPieURLGenerator`
  Parameters:
    `data` - the dataset.
    `key` - the data item key.
    `pieIndex` - the index of the pie containing key (zero-based).
  Returns:
    the generated URL

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD